#!/usr/bin/perl -w
#########################################################################
#
# Serz Minus (Sergey Lepenkov), <abalama@cpan.org>
#
# Copyright (C) 1998-2021 D&D Corporation. All Rights Reserved
#
# This is free software; you can redistribute it and/or modify it
# under the same terms as Perl itself.
#
# $Id: 03-grab.t 226 2021-10-25 14:22:48Z minus $
#
#########################################################################
use Test::More;
use Kinoteka;
plan skip_all => "Currently a developer-only test" unless -d '.svn' || -d ".git";
plan tests => 1;

use constant APIKEY => "524e6340-5c6b-428c-b4bc-77dd4ac54e45";

# Get data from general API service
# curl -H "X-API-KEY: 524e6340-5c6b-428c-b4bc-77dd4ac54e45" https://kinopoiskapiunofficial.tech/api/v2.2/films/706019
my $grab = Kinoteka::_grab(APIKEY, 706019);
note explain $grab;
is($grab->{kinopoiskid}, 706019, "No Time to Die");

1;

__END__
