#!/usr/bin/perl -w
#########################################################################
#
# Serz Minus (Sergey Lepenkov), <abalama@cpan.org>
#
# Copyright (C) 1998-2021 D&D Corporation. All Rights Reserved
#
# This is free software; you can redistribute it and/or modify it
# under the same terms as Perl itself.
#
# $Id: 02-util.t 220 2021-10-24 12:58:32Z minus $
#
#########################################################################
use Test::More tests => 4;
use Kinoteka;

# Depth
my @arr = Kinoteka::_splitDepth(123456, 4);
is(join("-", @arr), "1-12-123-1234", "Test Depth parsing");
#note(explain(\@arr));

# Calc pages
is(Kinoteka::_calcPages(325, 100), 4, "Pages calculation");
is(Kinoteka::_calcPages(300, 100), 3);
is(Kinoteka::_calcPages(12, 100), 1);

1;

__END__
